mbed_host_tests.host_tests_runner.host_test.DefaultTestSelectorBase Class Reference

Test class with serial port initialization. More...

Inheritance diagram for mbed_host_tests.host_tests_runner.host_test.DefaultTestSelectorBase:

## Public Member Functions

| __init__ (self, options)
Public Member Functions inherited from mbed_host_tests.host_tests_runner.host_test.Test
| run (self)
| setup (self)
| Setup and check if configuration for test is correct.
| notify (self, msg)
| On screen notification function.
| print_result (self, result)
| Test result unified printing function.
| finish (self)
| get_hello_string (self)
Public Member Functions inherited from mbed_host_tests.host_tests_runner.host_test.HostTestResults
| enum (self, **enums)
| get_test_result_int (self, test_result_str)
| Maps test result string to unique integer.
| __getitem__ (self, test_result_str)
| Returns numerical result code.

## Additional Inherited Members

Public Attributes inherited from mbed_host_tests.host_tests_runner.host_test.Test
| mbed
| RESULT_END
Public Attributes inherited from mbed_host_tests.host_tests_runner.host_test.HostTestResults
| TestResults
| TestResultsList

## Detailed Description

Test class with serial port initialization.

This is a base for other test selectors, initializes

Definition at line 135 of file host_test.py.

## Constructor & Destructor Documentation

## __init__()

mbed_host_tests.host_tests_runner.host_test.DefaultTestSelectorBase.__init__ | ( |  | self,
|  |  | options
| ) |  |

     ctor

Reimplemented from mbed_host_tests.host_tests_runner.host_test.Test.

Reimplemented in mbed_host_tests.host_tests_runner.host_test_default.DefaultTestSelector.

Definition at line 139 of file host_test.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_runner/host_test.py